Bug 606238 - Virtio: Transfer file caused guest in same vlan abnormally quit
Virtio: Transfer file caused guest in same vlan abnormally quit
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
All Linux
high Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
: ZStream
Depends On: 591494
Blocks: Rhel5KvmTier2 610343
  Show dependency treegraph
 
Reported: 2010-06-21 03:53 EDT by Amos Kong
Modified: 2015-05-24 20:05 EDT (History)
9 users (show)

See Also:
Fixed In Version: kvm-83-193.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591494
Environment:
Last Closed: 2011-01-13 18:36:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Dor Laor 2010-06-21 04:10:05 EDT
Why do you use -redir? Please retest w/o it.
Comment 2 Amos Kong 2010-06-21 04:57:15 EDT
Dropped -redir and -snapshot, tested with two images, Bug can be reproduced.

VM1-cmdline:
# qemu-kvm -name 'vm1' -monitor tcp:0:6001,server,nowait -drive file=/root/autotest/client/tests/kvm/images/RHEL-4.8-64-virtio.qcow2,if=virtio,cache=none,boot=on -net nic,vlan=0,model=virtio,macaddr=02:70:04:52:e8:e2 -net tap,vlan=0,ifname=virtio_0_6001,script=/root/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no -m 4096 -smp 2 -soundhw ac97 -vnc :0 -spice port=8000,disable-ticketing -serial unix:/tmp/serial-20100621-161808-MXgd,server,nowait -no-hpet

VM2-cmdline:
# qemu-kvm -name 'vm2' -monitor tcp:0:6002,server,nowait -drive file=/root/autotest/client/tests/kvm/images/RHEL-4.8-64-virtio.2.qcow2,if=virtio,cache=none,boot=on -net nic,vlan=0,model=virtio,macaddr=02:70:04:52:f4:d9 -net tap,vlan=0,ifname=virtio_0_6002,script=/root/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no -m 4096 -smp 2 -soundhw ac97 -vnc :1 -spice port=8001,disable-ticketing -serial unix:/tmp/serial-20100621-162429-KCbJ,server,nowait -no-hpet

----
host kernel: 2.6.18-194.el5
etherboot-zroms-kvm-5.4.4-13.el5
kvm-qemu-img-83-164.el5_5.12
kvm-83-164.el5_5.12
kvm-debuginfo-83-164.el5_5.12
kvm-tools-83-164.el5_5.12
kmod-kvm-83-164.el5_5.12
Comment 3 Amos Kong 2010-06-21 05:37:57 EDT
Bug can be reproduced on RHEL5.6, move the version to 5.6

--
host kernel: 2.6.18-203.el5
guest kernel: 2.6.9-89.28.ELsmp
# rpm -qa |grep kvm
etherboot-zroms-kvm-5.4.4-13.el5
kvm-qemu-img-83-183.el5
kmod-kvm-83-183.el5
kvm-83-183.el5
kvm-tools-83-183.el5
kvm-debuginfo-83-183.el5
Comment 14 Amos Kong 2010-08-04 03:39:47 EDT
Bug could not reproduce with kvm-83-193.el5   
Move to VERIFIED.
Comment 16 errata-xmlrpc 2011-01-13 18:36:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html

Note You need to log in before you can comment on or make changes to this bug.